Package org.jfree.layouting.input.style.keys.border

## Class BorderStyleKeys

- java.lang.Object
- - org.jfree.layouting.input.style.keys.border.BorderStyleKeys

-     public class BorderStyleKeys
      extends java.lang.Object

  http://www.w3.org/TR/css3-border/ Creation-Date: 27.10.2005, 21:40:14 Border-breaks are specified using single values. The CSS3 specification does not define explicit properties for the break-borders, but using the composite definition is ugly.
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StyleKey` | `BACKGROUND_ATTACHMENT` | BackgroundAttachment needs scrolling, and thus we do not implement this style-attribute yet.
    `static StyleKey` | `BACKGROUND_BREAK` |
    `static StyleKey` | `BACKGROUND_CLIP` |
    `static StyleKey` | `BACKGROUND_COLOR` |
    `static StyleKey` | `BACKGROUND_IMAGE` | This expects a list of images.
    `static StyleKey` | `BACKGROUND_ORIGIN` |
    `static StyleKey` | `BACKGROUND_POSITION` | The position is always specified in numeric values.
    `static StyleKey` | `BACKGROUND_REPEAT` |
    `static StyleKey` | `BACKGROUND_SIZE` |
    `static StyleKey` | `BORDER_BOTTOM_COLOR` |
    `static StyleKey` | `BORDER_BOTTOM_LEFT_RADIUS` |
    `static StyleKey` | `BORDER_BOTTOM_RIGHT_RADIUS` |
    `static StyleKey` | `BORDER_BOTTOM_STYLE` |
    `static StyleKey` | `BORDER_BOTTOM_WIDTH` |
    `static StyleKey` | `BORDER_BREAK_COLOR` |
    `static StyleKey` | `BORDER_BREAK_STYLE` |
    `static StyleKey` | `BORDER_BREAK_WIDTH` |
    `static StyleKey` | `BORDER_IMAGE` |
    `static StyleKey` | `BORDER_LEFT_COLOR` |
    `static StyleKey` | `BORDER_LEFT_STYLE` |
    `static StyleKey` | `BORDER_LEFT_WIDTH` |
    `static StyleKey` | `BORDER_RIGHT_COLOR` |
    `static StyleKey` | `BORDER_RIGHT_STYLE` |
    `static StyleKey` | `BORDER_RIGHT_WIDTH` |
    `static StyleKey` | `BORDER_TOP_COLOR` |
    `static StyleKey` | `BORDER_TOP_LEFT_RADIUS` |
    `static StyleKey` | `BORDER_TOP_RIGHT_RADIUS` |
    `static StyleKey` | `BORDER_TOP_STYLE` |
    `static StyleKey` | `BORDER_TOP_WIDTH` | Set the border around the content and padding of a box.
    `static StyleKey` | `BOX_SHADOW` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BACKGROUND_COLOR

          public static final StyleKey BACKGROUND_COLOR

    - #### BACKGROUND_IMAGE

          public static final StyleKey BACKGROUND_IMAGE

      This expects a list of images. How to handle that?

    - #### BACKGROUND_REPEAT

          public static final StyleKey BACKGROUND_REPEAT

    - #### BACKGROUND_ATTACHMENT

          public static final StyleKey BACKGROUND_ATTACHMENT

      BackgroundAttachment needs scrolling, and thus we do not implement this style-attribute yet.

    - #### BACKGROUND_POSITION

          public static final StyleKey BACKGROUND_POSITION

      The position is always specified in numeric values. The constants are mapped by the parser.

    - #### BACKGROUND_ORIGIN

          public static final StyleKey BACKGROUND_ORIGIN

    - #### BACKGROUND_CLIP

          public static final StyleKey BACKGROUND_CLIP

    - #### BACKGROUND_SIZE

          public static final StyleKey BACKGROUND_SIZE

    - #### BACKGROUND_BREAK

          public static final StyleKey BACKGROUND_BREAK

    - #### BORDER_IMAGE

          public static final StyleKey BORDER_IMAGE

    - #### BORDER_TOP_WIDTH

          public static final StyleKey BORDER_TOP_WIDTH

      Set the border around the content and padding of a box. Padding is between content and border. Background expands over the padding up to the border.

      Values given may not be negative. If percentages are given, all paddings are relative to the width of the parent (if the flow is horizontal, else the height is used).

    - #### BORDER_LEFT_WIDTH

          public static final StyleKey BORDER_LEFT_WIDTH

    - #### BORDER_BOTTOM_WIDTH

          public static final StyleKey BORDER_BOTTOM_WIDTH

    - #### BORDER_RIGHT_WIDTH

          public static final StyleKey BORDER_RIGHT_WIDTH

    - #### BORDER_TOP_COLOR

          public static final StyleKey BORDER_TOP_COLOR

    - #### BORDER_LEFT_COLOR

          public static final StyleKey BORDER_LEFT_COLOR

    - #### BORDER_BOTTOM_COLOR

          public static final StyleKey BORDER_BOTTOM_COLOR

    - #### BORDER_RIGHT_COLOR

          public static final StyleKey BORDER_RIGHT_COLOR

    - #### BORDER_TOP_STYLE

          public static final StyleKey BORDER_TOP_STYLE

    - #### BORDER_LEFT_STYLE

          public static final StyleKey BORDER_LEFT_STYLE

    - #### BORDER_BOTTOM_STYLE

          public static final StyleKey BORDER_BOTTOM_STYLE

    - #### BORDER_RIGHT_STYLE

          public static final StyleKey BORDER_RIGHT_STYLE

    - #### BORDER_BOTTOM_RIGHT_RADIUS

          public static final StyleKey BORDER_BOTTOM_RIGHT_RADIUS

    - #### BORDER_TOP_LEFT_RADIUS

          public static final StyleKey BORDER_TOP_LEFT_RADIUS

    - #### BORDER_BOTTOM_LEFT_RADIUS

          public static final StyleKey BORDER_BOTTOM_LEFT_RADIUS

    - #### BORDER_TOP_RIGHT_RADIUS

          public static final StyleKey BORDER_TOP_RIGHT_RADIUS

    - #### BORDER_BREAK_WIDTH

          public static final StyleKey BORDER_BREAK_WIDTH

    - #### BORDER_BREAK_COLOR

          public static final StyleKey BORDER_BREAK_COLOR

    - #### BORDER_BREAK_STYLE

          public static final StyleKey BORDER_BREAK_STYLE

    - #### BOX_SHADOW

          public static final StyleKey BOX_SHADOW